Bug 26834 - Not all Netfilter modules included in kernel
Not all Netfilter modules included in kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Florence Gold
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-02-09 09:51 EST by Mike Chambers
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-13 16:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-02-09 09:51:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

When I went to configure my iptables, all the modules weren't available or 
didn't work.  Like maybe the extra modules included with iptables program 
when running patch o matic weren't included before the kernel is compiled 
during install.

Reproducible: Always
Steps to Reproduce:
1. insmod ip_nat_egg
2. insmod ip_nat_irc
3. insmod ip_nat_ftp

Actual Results:  Don't know exact message but similar to modules not found.

Expected Results:  Should have gotten no response, as in it worked and 
just returned you back to the prompt but loaded the modules for use when 
making filters.

I am not currently running this version as I am back to official RH 7.  
But I have decompressed the 2.4.1 kernel, then installed iptables along 
with running patch o matic to incorporate the modules/patches into the 
kernel, then the kernel was compiled.  All netfilter configurations were 
installed as modules so they could be loaded when needed.

RH 7 included these ip_masq_x modules for ipchains and think the new 
version should automatically have all these available as well.  Since 
ipchains is included, maybe all options should be built as modules until 
ipchains is totally not used any longer and then the main netfilter 
components can be built into the kernel and the extra modules on stand by 
until needed then they can be loaded.

Sorry if this is lame, never did this before, and sorry for any lack of 
error messages.
Comment 1 Arjan van de Ven 2001-02-09 10:12:08 EST
Could you use "modprobe" instead of insmod ?
 modprobe ip_nat_egg
Comment 2 Arjan van de Ven 2001-02-09 10:49:00 EST
Ok. I see the logic of including the IRC patch. FTP was already in the kernel.
I see no reason to include the eggbot one. Feel free to convince me otherwise
Comment 3 michaelc 2001-02-09 10:50:12 EST
Neither insmod nor modprobe worked as far as I remember.  I also don't remember 
seeing those modules in the /lib/modules/etc... directory.

If you check a fresh Fisher Install then you can check to see what is there.
Comment 4 Glen Foster 2001-02-09 18:15:36 EST
We (Red Hat) should really try to resolve this before next release.
Comment 5 Arjan van de Ven 2001-02-12 04:13:25 EST
The IRC module will be included in next build. We already include the FTP
module. We will not include the EggBot module. 

I will mark this bug as "fixed - deferred" as the next build will fix it.

Note You need to log in before you can comment on or make changes to this bug.